Debian Bug report logs - #510758
klibc-utils: /usr/lib/klibc/bin/fstype reognizes ext4 as ext4, making ext4 root unbootable

version graph

Package: klibc-utils; Maintainer for klibc-utils is maximilian attems <maks@debian.org>; Source for klibc-utils is src:klibc.

Reported by: Jim Bray <jimsantelmo@gmail.com>

Date: Sun, 4 Jan 2009 17:57:01 UTC

Severity: important

Found in version klibc/1.5.12-2

Fixed in version klibc/1.5.15-1

Done: maximilian attems <maks@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, jimsantelmo@gmail.com, maximilian attems <maks@debian.org>:
Bug#510758; Package klibc-utils. (Sun, 04 Jan 2009 17:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jim Bray <jimsantelmo@gmail.com>:
New Bug report received and forwarded. Copy sent to jimsantelmo@gmail.com, maximilian attems <maks@debian.org>. (Sun, 04 Jan 2009 17:57:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jim Bray <jimsantelmo@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: klibc-utils: /usr/lib/klibc/bin/fstype reognizes ext4 as ext4, making ext4 root unbootable
Date: Sun, 04 Jan 2009 12:53:34 -0500
Package: klibc-utils
Version: 1.5.12-2
Severity: important

In /usr/share/initramfs-tools/scripts/local, get_fstype() uses
what is probably /usr/lib/klibc/bin/fstype to determine the fs type.
This returns 'ext3' for an ext4 fs, unlike /lib/udev/vol_id, which
returns 'ext4'.

  This breaks the initrd, which fails to mount the rootfs and gives
ENODEV. Can't mount root, system useless unless one uses a
"rootfstype=ext4" kernel parameter.

get_fstype ()
{

get_fstype() { local FS FSTYPE FSSIZE RET FS="${1}"
   		# vol_id has a more complete list of file systems,
		  # but fstype is more robust
		    eval $(fstype "${FS}" 2> /dev/null)
		    	 if [ "$FSTYPE" = "unknown" ] && [ -x
/lib/udev/vol_id ]; then
		    FSTYPE=$(/lib/udev/vol_id -t "${FS}" 2> /dev/null)
		    			      fi
					      	RET=$?
						
						      if [ -z
"${FSTYPE}" ]; then
	       FSTYPE="unknown"
	       		       fi
			       
			       	 echo "${FSTYPE}"
				      return ${RET}
				      }

-- System Information:
Debian Release: 5.0
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.28 (SMP w/2 CPU cores; PREEMPT)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages klibc-utils depends on:
ii  libklibc                      1.5.12-2   minimal libc subset for use with i

klibc-utils recommends no packages.

klibc-utils suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, maximilian attems <maks@debian.org>:
Bug#510758; Package klibc-utils. (Thu, 08 Jan 2009 14:06:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to maximilian attems <maks@debian.org>. (Thu, 08 Jan 2009 14:06:07 GMT) Full text and rfc822 format available.

Message #10 received at 510758@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@ubuntu.com>
To: Jim Bray <jimsantelmo@gmail.com>
Cc: 510758@bugs.debian.org
Subject: Re: klibc-utils: /usr/lib/klibc/bin/fstype reognizes ext4 as ext4, making ext4 root unbootable
Date: Thu, 8 Jan 2009 14:01:40 +0000
On Sun, Jan 04, 2009 at 12:53:34PM -0500, Jim Bray wrote:
> Package: klibc-utils
> Version: 1.5.12-2
> Severity: important
> 
> In /usr/share/initramfs-tools/scripts/local, get_fstype() uses
> what is probably /usr/lib/klibc/bin/fstype to determine the fs type.
> This returns 'ext3' for an ext4 fs, unlike /lib/udev/vol_id, which
> returns 'ext4'.
> 
>   This breaks the initrd, which fails to mount the rootfs and gives
> ENODEV. Can't mount root, system useless unless one uses a
> "rootfstype=ext4" kernel parameter.

This is fixed in klibc 1.5.15; upgrading the Debian package to that
should be sufficient.

-- 
Colin Watson                                       [cjwatson@ubuntu.com]




Information forwarded to debian-bugs-dist@lists.debian.org, maximilian attems <maks@debian.org>:
Bug#510758; Package klibc-utils. (Thu, 08 Jan 2009 16:39:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to maximilian attems <max@stro.at>:
Extra info received and forwarded to list. Copy sent to maximilian attems <maks@debian.org>. (Thu, 08 Jan 2009 16:39:02 GMT) Full text and rfc822 format available.

Message #15 received at 510758@bugs.debian.org (full text, mbox):

From: maximilian attems <max@stro.at>
To: Colin Watson <cjwatson@ubuntu.com>, 510758@bugs.debian.org
Cc: Jim Bray <jimsantelmo@gmail.com>
Subject: Re: Bug#510758: klibc-utils: /usr/lib/klibc/bin/fstype reognizes ext4 as ext4, making ext4 root unbootable
Date: Thu, 8 Jan 2009 17:35:42 +0100
On Thu, 08 Jan 2009, Colin Watson wrote:

> >   This breaks the initrd, which fails to mount the rootfs and gives
> > ENODEV. Can't mount root, system useless unless one uses a
> > "rootfstype=ext4" kernel parameter.
> 
> This is fixed in klibc 1.5.15; upgrading the Debian package to that
> should be sufficient.

yes expected soonest after release.

kind regards

-- 
maks




Information forwarded to debian-bugs-dist@lists.debian.org, maximilian attems <maks@debian.org>:
Bug#510758; Package klibc-utils. (Thu, 08 Jan 2009 16:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to maximilian attems <max@stro.at>:
Extra info received and forwarded to list. Copy sent to maximilian attems <maks@debian.org>. (Thu, 08 Jan 2009 16:42:03 GMT) Full text and rfc822 format available.

Message #20 received at 510758@bugs.debian.org (full text, mbox):

From: maximilian attems <max@stro.at>
To: Colin Watson <cjwatson@ubuntu.com>, 510758@bugs.debian.org
Cc: Jim Bray <jimsantelmo@gmail.com>
Subject: Re: Bug#510758: klibc-utils: /usr/lib/klibc/bin/fstype reognizes ext4 as ext4, making ext4 root unbootable
Date: Thu, 8 Jan 2009 17:40:52 +0100
On Thu, 08 Jan 2009, Colin Watson wrote:

> This is fixed in klibc 1.5.15; upgrading the Debian package to that
> should be sufficient.

hmm i see you based ubuntu on experimental, so i'll push it up there
next days.

-- 
maks




Information forwarded to debian-bugs-dist@lists.debian.org, maximilian attems <maks@debian.org>:
Bug#510758; Package klibc-utils. (Thu, 08 Jan 2009 18:45:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jim Bray <jimsantelmo@gmail.com>:
Extra info received and forwarded to list. Copy sent to maximilian attems <maks@debian.org>. (Thu, 08 Jan 2009 18:45:02 GMT) Full text and rfc822 format available.

Message #25 received at 510758@bugs.debian.org (full text, mbox):

From: Jim Bray <jimsantelmo@gmail.com>
To: maximilian attems <max@stro.at>
Cc: Colin Watson <cjwatson@ubuntu.com>, 510758@bugs.debian.org
Subject: Re: Bug#510758: klibc-utils: /usr/lib/klibc/bin/fstype reognizes ext4 as ext4, making ext4 root unbootable
Date: Thu, 08 Jan 2009 13:44:24 -0500
[Message part 1 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, maximilian attems <maks@debian.org>:
Bug#510758; Package klibc-utils. (Fri, 09 Jan 2009 09:03:42 GMT) Full text and rfc822 format available.

Acknowledgement sent to maximilian attems <max@stro.at>:
Extra info received and forwarded to list. Copy sent to maximilian attems <maks@debian.org>. (Fri, 09 Jan 2009 09:03:54 GMT) Full text and rfc822 format available.

Message #30 received at 510758@bugs.debian.org (full text, mbox):

From: maximilian attems <max@stro.at>
To: Jim Bray <jimsantelmo@gmail.com>, 510758@bugs.debian.org
Cc: Colin Watson <cjwatson@ubuntu.com>
Subject: Re: Bug#510758: klibc-utils: /usr/lib/klibc/bin/fstype reognizes ext4 as ext4, making ext4 root unbootable
Date: Fri, 9 Jan 2009 09:57:13 +0100
please stop sending broken html mails.

On Thu, Jan 08, 2009 at 01:44:24PM -0500, Jim Bray wrote:
> <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
> <html>
> <head>
>   <meta content="text/html; charset=ISO-8859-1"
>  http-equiv="Content-Type">
>   <title></title>
> </head>
> <body bgcolor="#ffffff" text="#000000">
> &nbsp; After I filed it here, I found kinit/klibc are tracked in kernel
> bugzilla, where I was filing other bugs, so I filed this also. It was
> fixed right away: turns out Theodore T'so had fixed it in October and
> the fix had sort of gotten lost.<br>
> <br>
> &nbsp; The new Debian klibc hasn't made it into unstable yet; send me a
> pointer to it if you'd like me to try it immediately.<br>

there is a newer version in experimental, but without the ext4 fix yet.
no priority for lenny as 2.6.26 is anyway too old for ext4.
there will be no upload to unstable before lenny release.

-- 
maks




Information forwarded to debian-bugs-dist@lists.debian.org, maximilian attems <maks@debian.org>:
Bug#510758; Package klibc-utils. (Fri, 09 Jan 2009 21:00:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jim Bray <jimsantelmo@gmail.com>:
Extra info received and forwarded to list. Copy sent to maximilian attems <maks@debian.org>. (Fri, 09 Jan 2009 21:00:03 GMT) Full text and rfc822 format available.

Message #35 received at 510758@bugs.debian.org (full text, mbox):

From: Jim Bray <jimsantelmo@gmail.com>
To: maximilian attems <max@stro.at>
Cc: 510758@bugs.debian.org, Colin Watson <cjwatson@ubuntu.com>
Subject: Re: Bug#510758: klibc-utils: /usr/lib/klibc/bin/fstype reognizes ext4 as ext4, making ext4 root unbootable
Date: Fri, 09 Jan 2009 15:57:16 -0500
maximilian attems wrote:
> please stop sending broken html mails.
>
>    
  I'm using Seamonkey 2.0-alpha-2 for mail. You can file a bug report 
with them if you want.
>
> there is a newer version in experimental, but without the ext4 fix yet.
> no priority for lenny as 2.6.26 is anyway too old for ext4.
> there will be no upload to unstable before lenny release.
>    

  Every Debian user who tries using an EXT4 root will run into this 
problem until the fix is picked up. The kernel klibc people responded 
immediately to my bug report and put the fix into klibc-1.5.15:

http://bugzilla.kernel.org/show_bug.cgi?id=12354

I hope it gets picked up soon since the ENODEV error that results when 
the mount fails is confusing:

http://bugzilla.kernel.org/show_bug.cgi?id=12368





Reply sent to maximilian attems <maks@debian.org>:
You have taken responsibility. (Tue, 17 Feb 2009 03:15:15 GMT) Full text and rfc822 format available.

Notification sent to Jim Bray <jimsantelmo@gmail.com>:
Bug acknowledged by developer. (Tue, 17 Feb 2009 03:15:15 GMT) Full text and rfc822 format available.

Message #40 received at 510758-close@bugs.debian.org (full text, mbox):

From: maximilian attems <maks@debian.org>
To: 510758-close@bugs.debian.org
Subject: Bug#510758: fixed in klibc 1.5.15-1
Date: Tue, 17 Feb 2009 03:02:08 +0000
Source: klibc
Source-Version: 1.5.15-1

We believe that the bug you reported is fixed in the latest version of
klibc, which is due to be installed in the Debian FTP archive:

klibc-utils-floppy-udeb_1.5.15-1_amd64.udeb
  to pool/main/k/klibc/klibc-utils-floppy-udeb_1.5.15-1_amd64.udeb
klibc-utils-udeb_1.5.15-1_amd64.udeb
  to pool/main/k/klibc/klibc-utils-udeb_1.5.15-1_amd64.udeb
klibc-utils_1.5.15-1_amd64.deb
  to pool/main/k/klibc/klibc-utils_1.5.15-1_amd64.deb
klibc_1.5.15-1.diff.gz
  to pool/main/k/klibc/klibc_1.5.15-1.diff.gz
klibc_1.5.15-1.dsc
  to pool/main/k/klibc/klibc_1.5.15-1.dsc
klibc_1.5.15.orig.tar.gz
  to pool/main/k/klibc/klibc_1.5.15.orig.tar.gz
libklibc-dev_1.5.15-1_amd64.deb
  to pool/main/k/klibc/libklibc-dev_1.5.15-1_amd64.deb
libklibc-udeb_1.5.15-1_amd64.udeb
  to pool/main/k/klibc/libklibc-udeb_1.5.15-1_amd64.udeb
libklibc_1.5.15-1_amd64.deb
  to pool/main/k/klibc/libklibc_1.5.15-1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 510758@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
maximilian attems <maks@debian.org> (supplier of updated klibc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 16 Feb 2009 16:41:51 +0100
Source: klibc
Binary: libklibc-dev libklibc klibc-utils klibc-utils-udeb klibc-utils-floppy-udeb libklibc-udeb
Architecture: source amd64
Version: 1.5.15-1
Distribution: unstable
Urgency: low
Maintainer: maximilian attems <maks@debian.org>
Changed-By: maximilian attems <maks@debian.org>
Description: 
 klibc-utils - small utilities built with klibc for early boot
 klibc-utils-floppy-udeb - small utilities built with klibc for the boot floppy (udeb)
 klibc-utils-udeb - small utilities built with klibc for early boot (udeb)
 libklibc   - minimal libc subset for use with initramfs
 libklibc-dev - kernel headers used during the build of klibc
 libklibc-udeb - minimal libc subset for use with initramfs (udeb)
Closes: 494829 496175 506427 510758
Changes: 
 klibc (1.5.15-1) unstable; urgency=low
 .
   [ maximilian attems ]
   * New upstream release:
     - fstype ext4 support. (closes: #510758)
     - chroot cmd fixed. (closes: #494829)
   * Pump standard version to 3.8.0 without changes.
   * Drop arm of the klibc-utils-floppy-udeb arch list.
   * Fix debhelper-but-no-misc-depends.
   * debian/copyright refer to GPL v2.
   * debian/rules nuke old commented unused lines.
 .
   [ Colin Watson ]
   * Add lpia to the architecture list for klibc-utils-floppy-udeb.
     (closes: #506427)
 .
   [ Thiemo Seufer ]
   * Fix FTBFS on MIPS64 kernel. (closes: #496175)
Checksums-Sha1: 
 4927cd8e3552dc83dcf5d5f7f94f0460c7116c5e 1221 klibc_1.5.15-1.dsc
 d6ab0277d2c16a205ef747145771b7a32b39e883 599925 klibc_1.5.15.orig.tar.gz
 735914273fdda0151303cbf0dd9ea4f47b92df87 13343 klibc_1.5.15-1.diff.gz
 15bd0634d72008973dfa665a1869ee9aaaf9dbfa 849906 libklibc-dev_1.5.15-1_amd64.deb
 2c789749ad45cf2512ed5d7cf69a1bebea473d39 47382 libklibc_1.5.15-1_amd64.deb
 7d125daaf0023e6f323f9f56e71f01e50b4c7521 186954 klibc-utils_1.5.15-1_amd64.deb
 3cffe41e54787f0b9bd1fba559e9629dc100f630 175198 klibc-utils-udeb_1.5.15-1_amd64.udeb
 aa7fa13b6738758c5d81d4bb9b270318a3392411 24956 klibc-utils-floppy-udeb_1.5.15-1_amd64.udeb
 53c57be85c05531e84abc90a362f39b40791ccb4 36930 libklibc-udeb_1.5.15-1_amd64.udeb
Checksums-Sha256: 
 c66c7f174cac9ea59742bacd88e5138fb22bdccaf64c1ae2696b3f6541b2ba38 1221 klibc_1.5.15-1.dsc
 8a1ea56c2ac7e3734c7a542ecc6b3790725bfe75cc6f1ec3b543dd5fd7cc59be 599925 klibc_1.5.15.orig.tar.gz
 90af7418bf7295ee039d0f1f15ec038e1fb5ae6e1c683008d7cd5a3ff9c7f01b 13343 klibc_1.5.15-1.diff.gz
 b0345fc5dca57f53170be56130ee5bcb131ed3d1db5290bd818f649b10f3b6c6 849906 libklibc-dev_1.5.15-1_amd64.deb
 a7141558728b59bec0225a3bb1d72b1f59beaf7723b1658f32468d04f530bb4c 47382 libklibc_1.5.15-1_amd64.deb
 c20ab5cda137e1697d1fbcfe2e9942cb7e48e7bd9feec50e8f9706eebd9c7ea0 186954 klibc-utils_1.5.15-1_amd64.deb
 41bb7a1e7679a52744b12052b069a325b6798cec7a805226863d90e5a55a45c5 175198 klibc-utils-udeb_1.5.15-1_amd64.udeb
 cdfe561aaa3c8108d187b98979970bfe92fc97c0ddc42d2c534d15695e864687 24956 klibc-utils-floppy-udeb_1.5.15-1_amd64.udeb
 28e6e4bcdc510c4566991f55e4956679632d8c597b2ea0949abbf27d61a2a7b6 36930 libklibc-udeb_1.5.15-1_amd64.udeb
Files: 
 9284f16be12ed7b3caed472318c17966 1221 libs optional klibc_1.5.15-1.dsc
 963deb78ff9c0df8913947741cf9677b 599925 libs optional klibc_1.5.15.orig.tar.gz
 6e4b0c1945031ac5692a1b82be4e6266 13343 libs optional klibc_1.5.15-1.diff.gz
 82f0aa09d0d4e231cb41110d73fe5bb8 849906 libdevel optional libklibc-dev_1.5.15-1_amd64.deb
 d890803052aaa1feb5d1fbc8edd0728b 47382 libs optional libklibc_1.5.15-1_amd64.deb
 f56125a4a34e7cf9952fbcc5677f4c66 186954 libs optional klibc-utils_1.5.15-1_amd64.deb
 676039fb668b3d86594b79a6597a6913 175198 debian-installer optional klibc-utils-udeb_1.5.15-1_amd64.udeb
 a4716b2bb762db534a0f1705537acca9 24956 debian-installer optional klibc-utils-floppy-udeb_1.5.15-1_amd64.udeb
 82b4f9bd75f9ae7e4d7ae0f3d031ada7 36930 debian-installer optional libklibc-udeb_1.5.15-1_amd64.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkmaJJkACgkQeW7Lc5tEHqhRcQCfYKEH7dtG2qY93GUGm+EFKdIa
u5UAoIOBAxMRm10DbZ2mXCDMPU6Fs1vq
=soUF
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 27 Mar 2009 07:31:23 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 17:03:00 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.